Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezpaypalreturn.php
Go to the documentation of this file.
1 <?php
5
6 // Include the "abstract" ezPublish classes */
7 // include_once( "classes/ezdb.php" );
8 // include_once( "classes/ezdatetime.php" );
9
10 class eZPaypalReturn {
11 // CREATOR Bob Sims <bob.sims@gmail.com>
18 function __construct( $id=-1 ) {
19 if ( $id != -1 ) {
20 $this->ID = $id;
21 $this->get( $this->ID );
22 }
23 }
24
25 // MANIPULATORS
29 function get( $id=-1 ) {
30 $db =& eZDB::globalDatabase();
31 $ret = false;
32 if ( $id != -1 ) {
33 $db->array_query($paypal_array,
34 "SELECT * FROM eZTrade_PaypalReturn ".
35 "WHERE ID='$id'" );
36 if ( count( $paypal_array ) > 1 ) {
37 die( "Error: Duplicate PaypalReturn ID found in database.".
38 "This shouldn't happen." );
39 } else if ( count( $paypal_array ) == 1 ) {
40 $this->ID =& $paypal_array[0][$db->fieldName("ID")];
41 $this->Invoice =
42 & $paypal_array[0][$db->fieldName("Invoice")];
43 $this->Receiver_email =
44 & $paypal_array[0][$db->fieldName("Receiver_email")];
45 $this->Payment_status =
46 & $paypal_array[0][$db->fieldName("Payment_status")];
47 $this->Pending_reason =
48 & $paypal_array[0][$db->fieldName("Pending_reason")];
49 $this->Reason_code =
50 & $paypal_array[0][$db->fieldName("Reason_code")];
51 $this->Payment_date =
52 & $paypal_array[0][$db->fieldName("Payment_date")];
53 $this->Payment_gross =
54 & $paypal_array[0][$db->fieldName("Payment_gross")];
55 $this->Payment_fee =
56 & $paypal_array[0][$db->fieldName("Payment_fee")];
57 $this->Txn_id =
58 & $paypal_array[0][$db->fieldName("Txn_id")];
59 $this->Txn_type =
60 & $paypal_array[0][$db->fieldName("Txn_type")];
61 $this->Parent_txn_id =
62 & $paypal_array[0][$db->fieldName("Parent_txn_id")];
63 $this->First_name =
64 & $paypal_array[0][$db->fieldName("First_name")];
65 $this->Last_name =
66 & $paypal_array[0][$db->fieldName("Last_name")];
67 $this->Payer_email =
68 & $paypal_array[0][$db->fieldName("Payer_email")];
69 $this->Payer_status =
70 & $paypal_array[0][$db->fieldName("Payer_status")];
71 $this->Payment_type =
72 & $paypal_array[0][$db->fieldName("Payment_type")];
73 $this->Notify_version =
74 & $paypal_array[0][$db->fieldName("Notify_version")];
75 $this->Verify_sign =
76 & $paypal_array[0][$db->fieldName("Verify_sign")];
77 $this->Mc_currency =
78 & $paypal_array[0][$db->fieldName("Mc_currency")];
79 $this->Payer_business_name =
80 & $paypal_array[0][$db->fieldName("Payer_business_name")];
81 $this->Payer_id =
82 & $paypal_array[0][$db->fieldName("Payer_id")];
83 $this->Mc_gross =
84 & $paypal_array[0][$db->fieldName("Mc_gross")];
85 $this->Mc_fee =
86 & $paypal_array[0][$db->fieldName("Mc_fee")];
87 $this->Settle_amount =
88 & $paypal_array[0][$db->fieldName("Settle_amount")];
89 $this->Settle_currency =
90 & $paypal_array[0][$db->fieldName("Settle_currency")];
91 $this->Exchange_rate =
92 & $paypal_array[0][$db->fieldName("Exchange_rate")];
93 $this->Date_added =
94 & $paypal_array[0][$db->fieldName("Date_added")];
95 $ret = true;
96 }
97 }
98 return $ret;
99 }
100
101
105 function &getAll() {
106 $db =& eZDB::globalDatabase();
107
108 $return_array = array();
109 $result_array = array();
110
111 $db->array_query($result_array,
112 "SELECT ID FROM eZTrade_PaypalReturn ".
113 "ORDER BY Date_added" );
114
115 for ( $i=0; $i<count($result_array); $i++ ) {
116 $return_array[$i]=
117 new eZPaypalReturn($result_array[$i][$db->fieldName("ID")] );
118 }
119 return $return_array;
120 }
121
125 function &getRelated( $txn_id=false) {
126
127 if ( !$txn_id )
128 return false;
129
130 $db =& eZDB::globalDatabase();
131
132 $return_array = array();
133 $result_array = array();
134
135 $db->array_query($result_array,
136 "SELECT ID FROM eZTrade_PaypalReturn ".
137 "WHERE Parent_txn_id = '$txn_id'".
138 "ORDER BY Date_added" );
139
140 for ( $i=0; $i<count($result_array); $i++ ) {
141 $return_array[$i]=
142 new eZPaypalReturn($result_array[$i][$db->fieldName("ID")] );
143 }
144 return $return_array;
145 }
146
147 // ACCESSORS
151 function id() {
152 return $this->ID;
153 }
154
158 function invoice() {
159 return $this->Invoice;
160 }
161
165 function receiver_email() {
166 return $this->Receiver_email;
167 }
168
172 function payment_status() {
173 return $this->Payment_status;
174 }
175
179 function pending_reason() {
180 return $this->Pending_reason;
181 }
182
186 function Reason_code() {
187 return $this->Invoice;
188 }
189
193 function payment_date() {
194 return $this->Payment_date;
195 }
196
200 function payment_gross() {
201 return $this->Payment_gross;
202 }
203
207 function payment_fee() {
208 return $this->Payment_fee;
209 }
210
214 function txn_id() {
215 return $this->Txn_id;
216 }
217
221 function txn_type() {
222 return $this->Txn_type;
223 }
224
228 function parent_txn_id() {
229 return $this->Parent_txn_id;
230 }
231
235 function first_name() {
236 return $this->First_name;
237 }
238
242 function last_name() {
243 return $this->Last_name;
244 }
245
249 function payer_email() {
250 return $this->Payer_email;
251 }
252
256 function payer_status() {
257 return $this->Payer_status;
258 }
259
263 function payment_type() {
264 return $this->Payment_type;
265 }
266
270 function notify_version() {
271 return $this->Notify_version;
272 }
273
277 function verify_sign() {
278 return $this->Verify_sign;
279 }
280
284 function mc_currency() {
285 return $this->Mc_currency;
286 }
287
291 function payer_business_name() {
292 return $this->Payer_business_name;
293 }
294
298 function payer_id() {
299 return $this->Payer_id;
300 }
301
305 function mc_gross() {
306 return $this->Mc_gross;
307 }
308
312 function mc_fee() {
313 return $this->Mc_fee;
314 }
315
319 function settle_amount() {
320 return $this->Settle_amount;
321 }
322
326 function settle_currency() {
327 return $this->Settle_currency;
328 }
329
333 function exchange_rate() {
334 return $this->Exchange_rate;
335 }
336
340 function date_added() {
341 return $this->Date_added;
342 }
343
347 function isDuplicate( $txn_id=-1 )
348 {
349 $return_value = false;
350 $option_array = array();
351 $db =& eZDB::globalDatabase();
352 $db->array_query( $option_array, "SELECT ID FROM eZTrade_PaypalReturn WHERE Txn_id='$txn_id'" );
353 if ( count( $option_array ) > 1 )
354 {
355 $return_value = true;
356 }
357 return $return_value;
358 }
359
360 // MANIPULATORS
364 function store() {
365 $db =& eZDB::globalDatabase();
366 $db->begin();
367 $db->lock( "eZTrade_PaypalReturn" );
368
369 $nextID = $db->nextID( "eZTrade_PaypalReturn", "ID" );
370
371 if ( empty( $this->ID ) ) {
372 $timeStamp = (new eZDateTime())->timeStamp( true );
373
374 $ret = $db->query( "INSERT INTO eZTrade_PaypalReturn SET ".
375 "ID = '$nextID',".
376 "Invoice = '$this->Invoice',".
377 "Receiver_email = '$this->Receiver_email',".
378 "Payment_status = '$this->Payment_status',".
379 "Pending_reason = '$this->Pending_reason',".
380 "Reason_code = '$this->Reason_code',".
381 "Payment_date = '$this->Payment_date',".
382 "Payment_gross = '$this->Payment_gross',".
383 "Payment_fee = '$this->Payment_fee',".
384 "Txn_id = '$this->Txn_id',".
385 "Txn_type = '$this->Txn_type',".
386 "Parent_txn_id = '$this->Parent_txn_id',".
387 "First_name = '$this->First_name',".
388 "Last_name = '$this->Last_name',".
389 "Payer_email = '$this->Payer_email',".
390 "Payer_status = '$this->Payer_status',".
391 "Payment_type = '$this->Payment_type',".
392 "Notify_version = '$this->Notify_version',".
393 "Verify_sign = '$this->Verify_sign',".
394 "Mc_currency = '$this->Mc_currency',".
395 "Payer_business_name = '$this->Payer_business_name',".
396 "Payer_id = '$this->Payer_id',".
397 "Mc_gross = '$this->Mc_gross',".
398 "Mc_fee = '$this->Mc_fee',".
399 "Settle_amount = '$this->Settle_amount',".
400 "Settle_currency = '$this->Settle_currency',".
401 "Exchange_rate = '$this->Exchange_rate',".
402 "Date_added = '$timeStamp'" );
403 $this->ID = $nextID;
404 } else {
405 $ret = $db->query( "UPDATE eZTrade_PaypalReturn SET ".
406 "ID = '$nextID',".
407 "Invoice = '$this->Invoice',".
408 "Receiver_email = '$this->Receiver_email',".
409 "Payment_status = '$this->Payment_status',".
410 "Pending_reason = '$this->Pending_reason',".
411 "Reason_code = '$this->Reason_code',".
412 "Payment_date = '$this->Payment_date',".
413 "Payment_gross = '$this->Payment_gross',".
414 "Payment_fee = '$this->Payment_fee',".
415 "Txn_id = '$this->Txn_id',".
416 "Txn_type = '$this->Txn_type',".
417 "Parent_txn_id = '$this->Parent_txn_id',".
418 "First_name = '$this->First_name',".
419 "Last_name = '$this->Last_name',".
420 "Payer_email = '$this->Payer_email',".
421 "Payer_status = '$this->Payer_status',".
422 "Payment_type = '$this->Payment_type',".
423 "Notify_version = '$this->Notify_version',".
424 "Verify_sign = '$this->Verify_sign',".
425 "Mc_currency = '$this->Mc_currency',".
426 "Payer_business_name = '$this->Payer_business_name',".
427 "Payer_id = '$this->Payer_id',".
428 "Mc_gross = '$this->Mc_gross',".
429 "Mc_fee = '$this->Mc_fee',".
430 "Settle_amount = '$this->Settle_amount',".
431 "Settle_currency = '$this->Settle_currency',".
432 "Exchange_rate = '$this->Exchange_rate',".
433 "WHERE ID='$this->ID'" );
434 }
435 $db->unlock();
436
437 if ( $ret == false )
438 $db->rollback();
439 else
440 $db->commit();
441
442 return $ret;
443 }
444
448 function delete( $id ) {
449 $db =& eZDB::globalDatabase();
450
451 $db->begin();
452 $ret = $db->query(
453 "DELETE FROM eZTrade_PaypalReturn WHERE ID='$id'" );
454
455 if ( $ret == false )
456 $db->rollback( );
457 else
458 $db->commit( );
459
460 return $ret;
461 }
462
463 // ACCESSORS
464
468 function setInvoice( $Invoice ) {
469 $this->Invoice = $Invoice;
470 }
471
475 function setReceiver_email($Receiver_email) {
476 $this->Receiver_email=$Receiver_email;
477 }
478
482 function setPayment_status($Payment_status) {
483 $this->Payment_status=$Payment_status;
484 }
485
489 function setPending_reason($Pending_reason) {
490 $this->Pending_reason=$Pending_reason;
491 }
492
496 function setReason_code($Reason_code) {
497 $this->Reason_code=$Reason_code;
498 }
499
503 function setPayment_date($Payment_date) {
504 $this->Payment_date=$Payment_date;
505 }
506
510 function setPayment_gross($Payment_gross) {
511 $this->Payment_gross=$Payment_gross;
512 }
513
517 function setPayment_fee($Payment_fee) {
518 $this->Payment_fee=$Payment_fee;
519 }
520
524 function setTxn_id($Txn_id) {
525 $this->Txn_id=$Txn_id;
526 }
527
531 function setTxn_type($Txn_type) {
532 $this->Txn_type=$Txn_type;
533 }
534
538 function setParent_txn_id($Parent_txn_id) {
539 $this->Parent_txn_id=$Parent_txn_id;
540 }
541
545 function setFirst_name($First_name) {
546 $this->First_name=$First_name;
547 }
548
552 function setLast_name($Last_name) {
553 $this->Last_name=$Last_name;
554 }
555
559 function setPayer_email($Payer_email) {
560 $this->Payer_email=$Payer_email;
561 }
562
566 function setPayer_status($Payer_status) {
567 $this->Payer_status=$Payer_status;
568 }
569
573 function setPayment_type($Payment_type) {
574 $this->Payment_type=$Payment_type;
575 }
576
580 function setNotify_version($Notify_version) {
581 $this->Notify_version=$Notify_version;
582 }
583
587 function setVerify_sign($Verify_sign) {
588 $this->Verify_sign=$Verify_sign;
589 }
590
594 function setMc_currency($Mc_currency) {
595 $this->Mc_currency=$Mc_currency;
596 }
597
601 function setPayer_business_name($Payer_business_name) {
602 $this->Payer_business_name=$Payer_business_name;
603 }
604
608 function setPayer_id($Payer_id) {
609 $this->Payer_id=$Payer_id;
610 }
611
615 function setMc_gross($Mc_gross) {
616 $this->Mc_gross=$Mc_gross;
617 }
618
622 function setMc_fee($Mc_fee) {
623 $this->Mc_fee=$Mc_fee;
624 }
625
629 function setSettle_amount($Settle_amount) {
630 $this->Settle_amount=$Settle_amount;
631 }
632
636 function setSettle_currency($Settle_currency) {
637 $this->Settle_currency=$Settle_currency;
638 }
639
643 function setExchange_rate($Exchange_rate) {
644 $this->Exchange_rate=$Exchange_rate;
645 }
646
647 // Store data for a single Paypal return
648
649 var $ID;
650 var $Invoice;
651 var $Receiver_email;
652 var $Payment_status;
653 var $Pending_reason;
654 var $Reason_code;
655 var $Payment_date;
656 var $Payment_gross;
657 var $Payment_fee;
658 var $Txn_id;
659 var $Txn_type;
660 var $Parent_txn_id;
661 var $First_name;
662 var $Last_name;
663 var $Payer_email;
664 var $Payer_status;
665 var $Payment_type;
666 var $Notify_version;
667 var $Verify_sign;
668 var $Mc_currency;
669 var $Payer_business_name;
670 var $Payer_id;
671 var $Mc_gross;
672 var $Mc_fee;
673 var $Settle_amount;
674 var $Settle_currency;
675 var $Exchange_rate;
676 var $Date_added;
677 }
678
679 /*
680 * Supporting MySQL table
681
682 CREATE TABLE eZTrade_PaypalReturn(
683 ID int(11) unsigned NOT NULL auto_increment,
684 Invoice varchar(64) default NULL,
685 Receiver_email varchar(96) NOT NULL default '',
686 Payment_status varchar(17) NOT NULL default '',
687 Pending_reason varchar(14) default NULL,
688 Reason_code varchar(15) default NULL,
689 Payment_date datetime default NULL,
690 Payment_gross decimal(7,2) default NULL,
691 Payment_fee decimal(7,2) default NULL,
692 Txn_id varchar(17) NOT NULL default '',
693 Txn_type varchar(10) NOT NULL default '',
694 Parent_txn_id varchar(17) default NULL,
695 First_name varchar(32) NOT NULL default '',
696 Last_name varchar(32) NOT NULL default '',
697 Payer_email varchar(96) NOT NULL default '',
698 Payer_status varchar(10) NOT NULL default '',
699 Payment_type varchar(7) NOT NULL default '',
700 Notify_version decimal(2,1) NOT NULL default '0.0',
701 Verify_sign varchar(128) NOT NULL default '',
702 Mc_currency char(3) NOT NULL default '',
703 Payer_business_name varchar(64) default NULL,
704 Payer_id varchar(32) NOT NULL default '',
705 Mc_gross decimal(7,2) NOT NULL default '0.00',
706 Mc_fee decimal(7,2) NOT NULL default '0.00',
707 Settle_amount decimal(7,2) default NULL,
708 Settle_currency char(3) default NULL,
709 Exchange_rate decimal(4,2) default NULL,
710 Date_added datetime default NULL,
711 PRIMARY KEY (ID)
712 ) TYPE=MyISAM;
713
714 *
715 *
716 */
717 ?>
$i
$i
Definition: admin/adlist.php:91
eZDB\globalDatabase
static & globalDatabase()
Definition: ezdb.php:134
eZDateTime
Definition: ezdatetime.php:55
eZPaypalReturn
Definition: ezpaypalreturn.php:10
eZPaypalReturn\payer_business_name
payer_business_name()
Definition: ezpaypalreturn.php:291
eZPaypalReturn\pending_reason
pending_reason()
Definition: ezpaypalreturn.php:179
eZPaypalReturn\Reason_code
Reason_code()
Definition: ezpaypalreturn.php:186
eZPaypalReturn\receiver_email
receiver_email()
Definition: ezpaypalreturn.php:165
eZPaypalReturn\payment_fee
payment_fee()
Definition: ezpaypalreturn.php:207
eZPaypalReturn\id
id()
Definition: ezpaypalreturn.php:151
eZPaypalReturn\$Payer_email
$Payer_email
Definition: ezpaypalreturn.php:663
eZPaypalReturn\$Payer_business_name
$Payer_business_name
Definition: ezpaypalreturn.php:669
eZPaypalReturn\getAll
& getAll()
Definition: ezpaypalreturn.php:105
eZPaypalReturn\$First_name
$First_name
Definition: ezpaypalreturn.php:661
eZPaypalReturn\$Mc_currency
$Mc_currency
Definition: ezpaypalreturn.php:668
eZPaypalReturn\setInvoice
setInvoice( $Invoice)
Definition: ezpaypalreturn.php:468
eZPaypalReturn\$Mc_gross
$Mc_gross
Definition: ezpaypalreturn.php:671
eZPaypalReturn\setPayer_business_name
setPayer_business_name($Payer_business_name)
Definition: ezpaypalreturn.php:601
eZPaypalReturn\mc_currency
mc_currency()
Definition: ezpaypalreturn.php:284
eZPaypalReturn\setSettle_amount
setSettle_amount($Settle_amount)
Definition: ezpaypalreturn.php:629
eZPaypalReturn\payment_type
payment_type()
Definition: ezpaypalreturn.php:263
eZPaypalReturn\setReason_code
setReason_code($Reason_code)
Definition: ezpaypalreturn.php:496
eZPaypalReturn\setNotify_version
setNotify_version($Notify_version)
Definition: ezpaypalreturn.php:580
eZPaypalReturn\setPending_reason
setPending_reason($Pending_reason)
Definition: ezpaypalreturn.php:489
eZPaypalReturn\parent_txn_id
parent_txn_id()
Definition: ezpaypalreturn.php:228
eZPaypalReturn\$Payment_type
$Payment_type
Definition: ezpaypalreturn.php:665
eZPaypalReturn\$Txn_type
$Txn_type
Definition: ezpaypalreturn.php:659
eZPaypalReturn\$Settle_currency
$Settle_currency
Definition: ezpaypalreturn.php:674
eZPaypalReturn\setPayer_status
setPayer_status($Payer_status)
Definition: ezpaypalreturn.php:566
eZPaypalReturn\payer_email
payer_email()
Definition: ezpaypalreturn.php:249
eZPaypalReturn\$Payment_status
$Payment_status
Definition: ezpaypalreturn.php:652
eZPaypalReturn\$Verify_sign
$Verify_sign
Definition: ezpaypalreturn.php:667
eZPaypalReturn\date_added
date_added()
Definition: ezpaypalreturn.php:340
eZPaypalReturn\$Txn_id
$Txn_id
Definition: ezpaypalreturn.php:658
eZPaypalReturn\$Reason_code
$Reason_code
Definition: ezpaypalreturn.php:654
eZPaypalReturn\setMc_currency
setMc_currency($Mc_currency)
Definition: ezpaypalreturn.php:594
eZPaypalReturn\mc_fee
mc_fee()
Definition: ezpaypalreturn.php:312
eZPaypalReturn\payment_date
payment_date()
Definition: ezpaypalreturn.php:193
eZPaypalReturn\mc_gross
mc_gross()
Definition: ezpaypalreturn.php:305
eZPaypalReturn\setLast_name
setLast_name($Last_name)
Definition: ezpaypalreturn.php:552
eZPaypalReturn\txn_type
txn_type()
Definition: ezpaypalreturn.php:221
eZPaypalReturn\$Payment_date
$Payment_date
Definition: ezpaypalreturn.php:655
eZPaypalReturn\$Notify_version
$Notify_version
Definition: ezpaypalreturn.php:666
eZPaypalReturn\setTxn_id
setTxn_id($Txn_id)
Definition: ezpaypalreturn.php:524
eZPaypalReturn\setPayment_gross
setPayment_gross($Payment_gross)
Definition: ezpaypalreturn.php:510
eZPaypalReturn\notify_version
notify_version()
Definition: ezpaypalreturn.php:270
eZPaypalReturn\setVerify_sign
setVerify_sign($Verify_sign)
Definition: ezpaypalreturn.php:587
eZPaypalReturn\verify_sign
verify_sign()
Definition: ezpaypalreturn.php:277
eZPaypalReturn\exchange_rate
exchange_rate()
Definition: ezpaypalreturn.php:333
eZPaypalReturn\$ID
$ID
Definition: ezpaypalreturn.php:649
eZPaypalReturn\settle_currency
settle_currency()
Definition: ezpaypalreturn.php:326
eZPaypalReturn\setSettle_currency
setSettle_currency($Settle_currency)
Definition: ezpaypalreturn.php:636
eZPaypalReturn\txn_id
txn_id()
Definition: ezpaypalreturn.php:214
eZPaypalReturn\$Exchange_rate
$Exchange_rate
Definition: ezpaypalreturn.php:675
eZPaypalReturn\setPayment_type
setPayment_type($Payment_type)
Definition: ezpaypalreturn.php:573
eZPaypalReturn\isDuplicate
isDuplicate( $txn_id=-1)
Definition: ezpaypalreturn.php:347
eZPaypalReturn\__construct
__construct( $id=-1)
Definition: ezpaypalreturn.php:18
eZPaypalReturn\getRelated
& getRelated( $txn_id=false)
Definition: ezpaypalreturn.php:125
eZPaypalReturn\$Parent_txn_id
$Parent_txn_id
Definition: ezpaypalreturn.php:660
eZPaypalReturn\setPayer_id
setPayer_id($Payer_id)
Definition: ezpaypalreturn.php:608
eZPaypalReturn\payment_status
payment_status()
Definition: ezpaypalreturn.php:172
eZPaypalReturn\$Payer_status
$Payer_status
Definition: ezpaypalreturn.php:664
eZPaypalReturn\setMc_fee
setMc_fee($Mc_fee)
Definition: ezpaypalreturn.php:622
eZPaypalReturn\$Pending_reason
$Pending_reason
Definition: ezpaypalreturn.php:653
eZPaypalReturn\payer_id
payer_id()
Definition: ezpaypalreturn.php:298
eZPaypalReturn\setPayment_status
setPayment_status($Payment_status)
Definition: ezpaypalreturn.php:482
eZPaypalReturn\settle_amount
settle_amount()
Definition: ezpaypalreturn.php:319
eZPaypalReturn\$Payment_fee
$Payment_fee
Definition: ezpaypalreturn.php:657
eZPaypalReturn\setPayment_date
setPayment_date($Payment_date)
Definition: ezpaypalreturn.php:503
eZPaypalReturn\first_name
first_name()
Definition: ezpaypalreturn.php:235
eZPaypalReturn\payment_gross
payment_gross()
Definition: ezpaypalreturn.php:200
eZPaypalReturn\setPayment_fee
setPayment_fee($Payment_fee)
Definition: ezpaypalreturn.php:517
eZPaypalReturn\setReceiver_email
setReceiver_email($Receiver_email)
Definition: ezpaypalreturn.php:475
eZPaypalReturn\$Mc_fee
$Mc_fee
Definition: ezpaypalreturn.php:672
eZPaypalReturn\setPayer_email
setPayer_email($Payer_email)
Definition: ezpaypalreturn.php:559
eZPaypalReturn\payer_status
payer_status()
Definition: ezpaypalreturn.php:256
eZPaypalReturn\$Invoice
$Invoice
Definition: ezpaypalreturn.php:650
eZPaypalReturn\invoice
invoice()
Definition: ezpaypalreturn.php:158
eZPaypalReturn\store
store()
Definition: ezpaypalreturn.php:364
eZPaypalReturn\setExchange_rate
setExchange_rate($Exchange_rate)
Definition: ezpaypalreturn.php:643
eZPaypalReturn\$Last_name
$Last_name
Definition: ezpaypalreturn.php:662
eZPaypalReturn\$Date_added
$Date_added
Definition: ezpaypalreturn.php:676
eZPaypalReturn\$Settle_amount
$Settle_amount
Definition: ezpaypalreturn.php:673
eZPaypalReturn\setFirst_name
setFirst_name($First_name)
Definition: ezpaypalreturn.php:545
eZPaypalReturn\setTxn_type
setTxn_type($Txn_type)
Definition: ezpaypalreturn.php:531
eZPaypalReturn\$Payment_gross
$Payment_gross
Definition: ezpaypalreturn.php:656
eZPaypalReturn\$Receiver_email
$Receiver_email
Definition: ezpaypalreturn.php:651
eZPaypalReturn\setMc_gross
setMc_gross($Mc_gross)
Definition: ezpaypalreturn.php:615
eZPaypalReturn\$Payer_id
$Payer_id
Definition: ezpaypalreturn.php:670
eZPaypalReturn\setParent_txn_id
setParent_txn_id($Parent_txn_id)
Definition: ezpaypalreturn.php:538
eZPaypalReturn\last_name
last_name()
Definition: ezpaypalreturn.php:242
$id
$id
Definition: companytypelist.php:193
$db
$db
Definition: ezarticle/user/authorlist.php:53
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.